MINTUPDATE-CLI(8)

NAME
mintupdate-cli - The Linux Mint Update Manager command line interface.

SYNOPSIS
mintupdate-cli [options] {list | upgrade}

DESCRIPTION
mintupdate-cli is the command line interface to mintupdate.

Unless the -h, or --help option is given, one of the commands below must be present:

list
    list available upgrades

upgrade
    apply available upgrades

OPTIONS
mintupdate-cli accepts the following options:

-h, --help
    Show a help message and exit

-k, --only-kernel
    Only include kernel updates

-s, --only-security
    Only include security updates

-i IGNORE, --ignore IGNORE
    List of updates to ignore (comma-separated list of source package names). Note: You can also blacklist updates by adding them to /etc/mintupdate.blacklist, one source package per line. To ignore a specific version, use the format package=version.

-r, --refresh-cache
    Refresh the APT cache

-d, --dry-run
    Simulation mode, don't upgrade anything

-y, --yes
    Automatically answer yes to all questions and always install new configuration files (unless you also use "--keep-configuration" option).

--install-recommends
    Install recommended packages regardless of system defaults.

--keep-configuration
    Always keep local changes in configuration files (use with caution).

-v, --version
    Display the current version

AUTHOR
The Linux Mint developers

SEE ALSO
mintupdate(8)